Qwt User's Guide: QwtLegendData Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
QwtLegendData Class Reference

Attributes of an entry on a legend. More...

`#include <qwt_legend_data.h>`

## Public Types
enum | Mode { ReadOnly , Clickable , Checkable }
| Mode defining how a legend entry interacts. More...
enum | Role { ModeRole , TitleRole , IconRole , UserRole = 32 }
| Identifier how to interpret a QVariant. More...

## Public Member Functions
| QwtLegendData ()
| Constructor.
| ~QwtLegendData ()
| Destructor.
void | setValues (const QMap< int, QVariant > &)
const QMap< int, QVariant > & | values () const
void | setValue (int role, const QVariant &)
QVariant | value (int role) const
bool | hasRole (int role) const
bool | isValid () const
QwtGraphic | icon () const
QwtText | title () const
Mode | mode () const

## Detailed Description

Attributes of an entry on a legend.

QwtLegendData is an abstract container ( like QAbstractModel ) to exchange attributes, that are only known between to the plot item and the legend.

By overloading QwtPlotItem::legendData() any other set of attributes could be used, that can be handled by a modified ( or completely different ) implementation of a legend.

See also
  QwtLegend, QwtPlotLegendItem

Note
  The stockchart example implements a legend as a tree with checkable items

Definition at line 36 of file qwt_legend_data.h.

## Member Enumeration Documentation

## ◆ Mode

enum QwtLegendData::Mode

Mode defining how a legend entry interacts.

Enumerator
ReadOnly | The legend item is not interactive, like a label.
Clickable | The legend item is clickable, like a push button.
Checkable | The legend item is checkable, like a checkable button.

Definition at line 40 of file qwt_legend_data.h.

## ◆ Role

enum QwtLegendData::Role

Identifier how to interpret a QVariant.

Definition at line 53 of file qwt_legend_data.h.

## Constructor & Destructor Documentation

## ◆ QwtLegendData()

QwtLegendData::QwtLegendData | ( |  | ) |

Constructor.

Definition at line 15 of file qwt_legend_data.cpp.

## ◆ ~QwtLegendData()

QwtLegendData::~QwtLegendData | ( |  | ) |

Destructor.

Definition at line 20 of file qwt_legend_data.cpp.

## Member Function Documentation

## ◆ hasRole()

bool QwtLegendData::hasRole | ( | int | role | ) | const

Parameters

  role | Attribute role

Returns
  True, when the internal map has an entry for role

Definition at line 51 of file qwt_legend_data.cpp.

## ◆ icon()

QwtGraphic QwtLegendData::icon | ( |  | ) | const

Returns
  Value of the IconRole attribute

Definition at line 106 of file qwt_legend_data.cpp.

## ◆ isValid()

bool QwtLegendData::isValid | ( |  | ) | const

Returns
  True, when the internal map is empty

Definition at line 82 of file qwt_legend_data.cpp.

## ◆ mode()

QwtLegendData::Mode QwtLegendData::mode | ( |  | ) | const

Returns
  Value of the ModeRole attribute

Definition at line 120 of file qwt_legend_data.cpp.

## ◆ setValue()

void QwtLegendData::setValue | ( | int | role,
|  | const QVariant & | data )

Set an attribute value

Parameters

  role | Attribute role
  data | Attribute value

See also
  value()

Definition at line 64 of file qwt_legend_data.cpp.

## ◆ setValues()

void QwtLegendData::setValues | ( | const QMap< int, QVariant > & | map | ) |

Set the legend attributes

QwtLegendData actually is a QMap<int, QVariant> with some convenience interfaces

Parameters

  map | Values

See also
  values()

Definition at line 33 of file qwt_legend_data.cpp.

## ◆ title()

QwtText QwtLegendData::title | ( |  | ) | const

Returns
  Value of the TitleRole attribute

Definition at line 88 of file qwt_legend_data.cpp.

## ◆ value()

QVariant QwtLegendData::value | ( | int | role | ) | const

Parameters

  role | Attribute role

Returns
  Attribute value for a specific role

Definition at line 73 of file qwt_legend_data.cpp.

## ◆ values()

const QMap< int, QVariant > & QwtLegendData::values | ( |  | ) | const

Returns
  Legend attributes

See also
  setValues()

Definition at line 42 of file qwt_legend_data.cpp.